#[cfg(test)]
mod tests {
    use bumpikins::bump;

    #[bump(ExampleRef)]
    struct Example {
        #[storage]
        thingy: Vec<u32>,
    }

    #[test]
    fn it_works() {
        let mut example = Example { thingy: Vec::new() };

        let i1 = example.insert(5);
        assert_eq!(i1, ExampleRef { idx: 0 });
        assert_eq!(example[i1], 5);

        let i2 = example.insert(7);
        assert_eq!(i2, ExampleRef { idx: 1 });
        assert_eq!(example[i2], 7);

        let i3 = example.insert(9);
        assert_eq!(i3, ExampleRef { idx: 2 });
        assert_eq!(example[i3], 9);
    }
}
